# Class FullBEDFeature

java.lang.Object
htsjdk.tribble.bed.SimpleBEDFeature
htsjdk.tribble.bed.FullBEDFeature

All Implemented Interfaces:
  `Locatable, BEDFeature, Feature, NamedFeature`

public class FullBEDFeature extends SimpleBEDFeature implements BEDFeature
Object for full BED file.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`FullBEDFeature.Exon`
A sub region of a feature.
`class`
`FullBEDFeature.Exon2`

## Field Summary

### Fields inherited from class SimpleBEDFeature

`chr, end, start, strand`

## Constructor Summary

Constructors
Constructor
Description
`FullBEDFeature(String chr, int start, int end)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addExon(int exonStart, int exonEnd, int cdStart, int cdEnd, int exonNumber)`
`void`
`addExon(FullBEDFeature.Exon exon)`
`List<FullBEDFeature.Exon>`
`getExons()`
`void`
`setExons(List<FullBEDFeature.Exon> exons)`

### Methods inherited from class SimpleBEDFeature

`getColor, getContig, getDescription, getEnd, getLink, getName, getScore, getStart, getStrand, getType, setChr, setColor, setDescription, setEnd, setLink, setName, setScore, setStart, setStrand, setType`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface BEDFeature

`getColor, getDescription, getLink, getScore, getStrand, getType`

### Methods inherited from interface Feature

`getChr`

### Methods inherited from interface Locatable

`contains, contigsMatch, getContig, getEnd, getLengthOnReference, getStart, overlaps, withinDistanceOf`

### Methods inherited from interface NamedFeature

`getName`

## Constructor Details

### FullBEDFeature

public FullBEDFeature(String chr, int start, int end)

## Method Details

### getExons

public List<FullBEDFeature.Exon> getExons()

Specified by:
  `getExons` in interface `BEDFeature`
Overrides:
  `getExons` in class `SimpleBEDFeature`

### setExons

public void setExons(List<FullBEDFeature.Exon> exons)

### addExon

public void addExon(FullBEDFeature.Exon exon)

### addExon

public void addExon(int exonStart, int exonEnd, int cdStart, int cdEnd, int exonNumber)